{{

Thanks to Beau for portions of:

''*******************************************
''*  PWM DEMO Object                   V1.0 *
''*  Author: Beau Schwabe                   *
''*  Copyright (c) 2009 Parallax, Inc.      *               
''*  See end of file for terms of use.      *               
''*******************************************

Revision History:
  Version 1.0   - (05/01/2009) initial release
                  (09_08_09)  Added Cognew routineJK    



}}

CON
  _clkmode      = xtal1 + pll16x
  _xinfreq      = 5_000_000
Pin1    =0
Pin2    =1
Pin3    =2
VAR
    long stack1[10]
    long stack2[10]
    long stack3[10]

    
OBJ
PWM     :       "PWM_32_v2.spin"

PUB Start
    PWM.Start
    cognew(PWMLED1, @stack1)
    cognew(PWMLED2, @stack2)
    cognew(PWMLED3, @stack3)

PRI PWMLED1 | DutyCycle1
   
    repeat
      repeat DutyCycle1 from 0 to 100
        PWM.Duty(Pin1,DutyCycle1,5000)       '' Ramp Duty cycle up from 0 to 100               
        repeat 10000
      repeat 100                     '' Hold at 100% for a little bit
        
      repeat DutyCycle1 from 100 to 0
        PWM.Duty(0,DutyCycle1,5000)       '' Ramp Duty cycle down from 100 to 0
        repeat 10000
      repeat 100

PRI PWMLED2 | DutyCycle2

    repeat
      repeat DutyCycle2 from 0 to 100
        PWM.Duty(Pin2,DutyCycle2,5000)       '' Ramp Duty cycle up from 0 to 100               
        repeat 10000
      repeat 100                     '' Hold at 100% for a little bit
        
      repeat DutyCycle2 from 100 to 0
        PWM.Duty(0,DutyCycle2,5000)       '' Ramp Duty cycle down from 100 to 0
        repeat 10000
      repeat 100

PRI PWMLED3 | DutyCycle3

    repeat
      repeat DutyCycle3 from 0 to 100
        PWM.Duty(Pin3,DutyCycle3,5000)       '' Ramp Duty cycle up from 0 to 100               
        repeat 10000
      repeat 100                     '' Hold at 100% for a little bit
        
      repeat DutyCycle3 from 100 to 0
        PWM.Duty(0,DutyCycle3,5000)       '' Ramp Duty cycle down from 100 to 0
        repeat 10000
      repeat 100             